package ru.neroduckale.welcome;

import org.bukkit.command.CommandExecutor;
import org.bukkit.command.PluginCommand;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;

public final class Main extends JavaPlugin {
    private final File welcomeFile = new File(getDataFolder(), "welcome.yml");
    private final FileConfiguration welcomeConf = YamlConfiguration.loadConfiguration(welcomeFile);

    @Override
    public void onEnable() {
        getServer().getPluginManager().registerEvents(new PlayerJoinListener(welcomeConf), this);
        registerCMD("welcome", new WelcomeCommand(welcomeFile, welcomeConf));
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }

    private void registerCMD(String cmdStr, CommandExecutor cmdClass) {
        PluginCommand CMD = this.getCommand(cmdStr);
        if(CMD != null) {
            CMD.setExecutor(cmdClass);
        }
    }
}
