package ru.neroduckale.welcome;

import net.kyori.adventure.text.Component;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.jetbrains.annotations.NotNull;

public class PlayerJoinListener implements Listener {
    private final FileConfiguration welcomeConf;

    public PlayerJoinListener(@NotNull FileConfiguration welcomeConf) {
        this.welcomeConf = welcomeConf;
    }

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        String nickname = event.getPlayer().getName();
        String welcomeMsg = welcomeConf.getString(nickname);
        if (welcomeMsg == null) {return;}
        Component finalMsg = Component.text(welcomeMsg + "(" + nickname + ")");
        event.getPlayer().getServer().sendMessage(finalMsg);
    }
}
