package ru.neroduckale.welcome;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

import java.io.File;
import java.io.IOException;
import java.util.Objects;

public class WelcomeCommand implements CommandExecutor {

    private final File welcomeFile;
    private final FileConfiguration welcomeConf;
    
    public WelcomeCommand(File welcomeFile, FileConfiguration welcomeConf) {
        this.welcomeFile = welcomeFile;
        this.welcomeConf = welcomeConf;
    }

    @Override
    public boolean onCommand(@NotNull CommandSender commandSender, @NotNull Command command, @NotNull String s, @NotNull String[] args) {
        if(!(commandSender instanceof Player)) {
            commandSender.sendMessage("Эту команду может использовать только игрок");
            return true;
        }
        Player player = (Player) commandSender;
        if (args.length == 0) {
            player.sendMessage("Использование: /welcome <текст>");
            return true;
        }
        StringBuilder msg = new StringBuilder();
        for (String item : args) {
            msg.append(item).append(" ");
        }
        if (msg.length() > 30) {
            player.sendMessage("Максимум 30 символов!");
            return true;
        }
        
        welcomeConf.set(player.getName(), msg.toString());
        try {
            welcomeConf.save(welcomeFile);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        player.sendMessage(Objects.requireNonNull(welcomeConf.getString(player.getName())));
        return false;
    }
}
